package nce.editor;

import javax.swing.text.Segment;

import org.gjt.sp.jedit.syntax.DefaultTokenHandler;
import org.gjt.sp.jedit.syntax.Token;
import org.gjt.sp.jedit.syntax.TokenMarker.LineContext;

public class ColoringTokenHandler extends DefaultTokenHandler {

	@Override
	public void handleToken(Segment seg, byte id, int offset, int length, LineContext context) {
		Token token = createToken(id, offset, length, context);
		if(token != null) {
			token.offset += seg.offset;
			addToken(token, context);
		}
	}

}
